%RGB2Y Convert RGB values to the intensity value.
%   Y = RGB2Y(X) converts the RGB image in X to the intensity 
%   image.
%   Y is similar to the Y in YCBCR, except that Y is in the range 
%   of 0-1, while Y of YCBCR is within the range of 16-235.

% Zvi Devir & Liliya Tridensky
% Sep 2002

function Y = rgb2y(rgb);

if size(rgb,3)==3,
  Y = 16 + 65.481 * rgb(:,:,1) + 128.553 * rgb(:,:,2) + 24.966 * rgb(:,:,3);
  Y = (Y-16) ./ 219;
else
  Y = rgb;
end;
